<app-loading *ngIf="isLoading"></app-loading>

<div class="action-breadcrumb-float-right">
  <button nz-button nzSize="large" (click)="handleSalary()">
    {{ 'development.salary-list.handle' | translate }}
  </button>
  <button nz-button nzSize="large" nzType="primary" (click)="sendSalary()">
    {{ 'development.salary-list.sendSalary' | translate }}
  </button>
</div>
<nz-card class="search-bar">
  <div nz-row [nzGutter]="[24, 24]">
    <div nz-col class="gutter-row" nzLg="6">
      <span class="emp-infoTitle">{{ 'development.proposed-unit.table.proposeCode' | translate }}</span>
      <mb-input-text
        minNumber="0"
        mbInputType="number"
        mbPlaceholderText="{{ 'development.proposed-unit.table.proposeCode' | translate }}"
        [(ngModel)]="params.proposeDetailId"
      ></mb-input-text>
    </div>
    <div nz-col class="gutter-row" nzLg="6">
      <span class="salary-list__rangeDateTitle">{{ 'development.salary-list.search.dateSendRequest' | translate }}</span>
      <nz-range-picker
        class="salary-list__rangeDate"
        [(ngModel)]="params.time"
        nzFormat="dd/MM/yyyy"
        [nzPlaceHolder]="['dd/mm/yyyy', 'dd/mm/yyyy']"
      ></nz-range-picker>
    </div>
    <div nz-col class="gutter-row" nzLg="6">
      <mb-select
        [mbDataSelects]="dataCommon?.listStatus"
        mbKeyLabel="name"
        mbKeyValue="code"
        name="formLD"
        [(ngModel)]="params.statusSalaryArrangement"
        mbLabelText="{{ 'development.salary-list.search.statusSalary' | translate }}"
        mbPlaceholder="{{ 'development.salary-list.search.statusSalary' | translate }}"
      ></mb-select>
    </div>
    <div nz-col class="gutter-row" nzLg="6">
      <mb-input-text
          [(ngModel)]="params.employeeCode"
          [mbMaxLength]="50"
          name="employeeCode"
          mbLabelText="{{ 'development.salary-list.search.employeeCode' | translate }}"
          mbPlaceholderText="{{ 'development.salary-list.search.employeeCode' | translate }}"
        ></mb-input-text>
    </div>
  </div>
  <div *ngIf="isExpand">
    <div nz-row [nzGutter]="[24, 8]">
      <div nz-col class="gutter-row" nzLg="6">
        <mb-input-text
          [(ngModel)]="params.employeeName"
          [mbMaxLength]="50"
          name="employeeName"
          mbLabelText="{{ 'development.salary-list.search.employeeName' | translate }}"
          mbPlaceholderText="{{ 'development.salary-list.search.employeeName' | translate }}"
        ></mb-input-text>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <mb-select-unit
          mbLabelText="{{ 'development.salary-list.search.currentUnit' | translate }}"
          mbPlaceholder="{{ 'development.salary-list.search.currentUnit' | translate }}"
          [(ngModel)]="params.employeeUnit"
        ></mb-select-unit>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <mb-select
          [mbDataSelects]="dataCommon?.listJob"
          mbKeyLabel="jobName"
          mbKeyValue="jobId"
          [(ngModel)]="params.employeeTitle"
          mbLabelText="{{ 'development.salary-list.search.currentTitle' | translate }}"
          mbPlaceholder="{{ 'development.salary-list.search.currentTitle' | translate }}"
        ></mb-select>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <mb-select-unit
          mbLabelText="{{ 'development.salary-list.search.proposeUnit' | translate }}"
          mbPlaceholder="{{ 'development.salary-list.search.proposeUnit' | translate }}"
          [(ngModel)]="params.contentUnit"
        ></mb-select-unit>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <mb-select
          [mbDataSelects]="dataCommon?.listJob"
          mbKeyLabel="jobName"
          mbKeyValue="jobId"
          [(ngModel)]="params.contentTitle"
          mbLabelText="{{ 'development.salary-list.search.proposeTitle' | translate }}"
          mbPlaceholder="{{ 'development.salary-list.search.proposeTitle' | translate }}"
        ></mb-select>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <label
          nz-checkbox
          [(ngModel)]="params.isFirstRequest"
          name="proposeOrigin"
          class="search-bar__checkbox"
          >{{ 'development.salary-list.search.firstRequest' | translate }}</label
        >
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <label
          nz-checkbox
          [(ngModel)]="params.isRecommendAgain"
          name="proposeOrigin"
          class="search-bar__checkbox"
          >{{ 'development.salary-list.search.reRequest' | translate }}</label
        >
      </div>

    </div>
  </div>
  <div class="block-action-search">
    <button class="search-btn" nz-button nzType="text" (click)="search(true)" [disabled]="isLoading">
      {{ 'development.salary-list.search-button' | translate }}
    </button>
    <button nz-button nzType="default" class="expand-btn" (click)="collapseExpand()">
      <span>
        <em nz-icon nzType="{{ iconStatus }}"></em>
      </span>
    </button>
    <button nz-button [disabled]="isLoading" (click)="exportExcel()" class="expand-btn" nzType="default" nzSize="large">
      <img src="assets/images/icon/excel.svg" alt="" />
    </button>

  </div>
</nz-card>

<nz-table
  id="table"
  class="ant-table-content data-table"
  #basicTable
  [nzData]="dataTable"
  [nzShowPagination]="false"
  [nzPageSize]="pageable.size"
  [nzScroll]="{ x: '100%', y: scrollY }"
  (nzCurrentPageDataChange)="onCurrentPageDataChange()"
>
  <thead>
    <tr class="table-header">
      <th
        [nzShowCheckbox]="true"
        [nzChecked]="checked"
        (nzCheckedChange)="onAllChecked($event)"
        nzLeft
        scope="col"
        rowspan="2"
        nzWidth="50px"
      ></th>
      <th scope="col" rowspan="2" nzWidth="50px" class="text-nowrap text-center" nzLeft>
        {{ 'development.salary-list.detail.stt' | translate }}
      </th>
      <th scope="col" rowspan="2" nzWidth="130px" nzLeft>
        {{ 'development.salary-list.table.col.proposeCode' | translate }}
      </th>
      <th scope="col" rowspan="2" nzWidth="120px" nzLeft>
        {{ 'development.salary-list.table.col.requestType' | translate }}
      </th>
      <th scope="col" rowspan="2" nzWidth="130px" class="text-nowrap" nzLeft>
        {{ 'development.salary-list.table.col.6' | translate }}
      </th>
      <th scope="col" rowspan="2" nzWidth="200px" class="text-nowrap" nzLeft>
        {{ 'development.salary-list.table.col.7' | translate }}
      </th>
      <th scope="col" rowspan="2" nzWidth="150px">
        {{ 'development.salary-list.table.col.1' | translate }}
      </th>
      <th scope="col" rowspan="2" nzWidth="170px" class="text-nowrap">
        {{ 'development.salary-list.table.col.2' | translate }}
      </th>
      <th scope="col" rowspan="2" nzWidth="140px" class="text-nowrap">
        {{ 'development.salary-list.table.col.3' | translate }}
      </th>
      <th scope="col" rowspan="2" nzWidth="200px" class="text-nowrap">
        {{ 'development.salary-list.table.col.5' | translate }}
      </th>
      <th scope="col" nzWidth="200px" class="data-table__subColumn">
        {{ 'development.salary-list.table.col.11' | translate }}
      </th>
      <th scope="col" nzWidth="200px" class="data-table__subColumn">
        {{ 'development.salary-list.table.col.12' | translate }}
      </th>
      <th scope="col" nzWidth="200px" class="data-table__subColumn">
        {{ 'development.salary-list.table.col.13' | translate }}
      </th>
      <th scope="col" nzWidth="200px" class="data-table__subColumn">
        {{ 'development.salary-list.table.col.14' | translate }}
      </th>
      <th scope="col" nzWidth="200px" class="data-table__subColumn">
        {{ 'development.salary-list.table.col.proposeUnit' | translate }}
      </th>
      <th scope="col" nzWidth="200px" class="data-table__subColumn">
        {{ 'development.salary-list.table.col.proposeTitle' | translate }}
      </th>
      <th scope="col" nzWidth="200px" class="data-table__subColumn">
        {{ 'development.salary-list.table.col.proposeLocation' | translate }}
      </th>
      <th scope="col" nzWidth="200px" class="data-table__subColumn">
        {{ 'development.salary-list.table.col.proposeLevel' | translate }}
      </th>
      <th scope="col" rowspan="2" nzWidth="110px">{{ 'development.salary-list.table.col.16' | translate }}</th>
      <th scope="col" rowspan="2" nzWidth="150px">{{ 'development.salary-list.table.col.17' | translate }}</th>
      <th scope="col" rowspan="2" nzWidth="250px">{{ 'development.salary-list.table.col.18' | translate }}</th>
      <th scope="col" rowspan="2" nzWidth="180px">{{ 'development.salary-list.table.col.19' | translate }}</th>
    </tr>
  </thead>
  <tbody>
    <tr *ngFor="let item of basicTable.data; let i = index" (dblclick)="detail(item)">
      <td
        [nzShowCheckbox]="item.salaryStatus != 'Đã gửi lương'"
        nzLeft
        [nzChecked]="quantityMap.has(item.id)"
        (nzCheckedChange)="onItemChecked(item, $event)"
        nzLeft
      ></td>
      <td class="stt" nzLeft>{{ i + 1 + params.size * params.page }}</td>
      <td nzLeft>
        {{ item?.proposeCode || '----' }}
      </td>
      <td class="text-ellipsis" nz-tooltip [nzTooltipTitle]="item?.requestType" nzLeft>
        {{ item?.requestType || '----' }}
      </td>
      <td class="text-ellipsis" nz-tooltip [nzTooltipTitle]="item?.employeeCode" nzLeft>{{ item?.employeeCode }}</td>
      <td class="text-ellipsis" nz-tooltip [nzTooltipTitle]="item?.employeeName" nzLeft>{{ item?.employeeName }}</td>
      <td>
        <em nz-icon nzType="calendar" nzTheme="outline" class="calendar" *ngIf="item.requestDate !== undefined"></em>
        <span class="displayDate">{{ item?.requestDate | date: 'dd/MM/yyyy' }}</span>
      </td>
      <td class="text-ellipsis" nz-tooltip [nzTooltipTitle]="item?.salaryStatus">{{ item?.salaryStatus || '----' }}</td>
      <td>
        <em nz-icon nzType="calendar" nzTheme="outline" class="calendar" *ngIf="item.sentDate !== undefined"></em>
        <span class="displayDate">{{ item?.sentDate | date: 'dd/MM/yyyy' }}</span>
      </td>
      <td class="text-ellipsis" nz-tooltip [nzTooltipTitle]="item?.proposeType">{{ item?.proposeType || '----' }}</td>

      <td class="text-ellipsis" nz-tooltip [nzTooltipTitle]="item?.employeeUnitPathName">{{ item?.employeeUnitPathName || '----' }}</td>
      <td class="text-ellipsis" nz-tooltip [nzTooltipTitle]="item?.employeeTitleName">{{ item?.employeeTitleName || '----' }}</td>
      <td class="text-ellipsis" nz-tooltip [nzTooltipTitle]="item?.employeePosition">
        {{ item?.employeePosition || '----' }}
      </td>
      <td class="text-ellipsis" nz-tooltip [nzTooltipTitle]="item?.employeeLevelTitleCode">
        {{ item?.employeeLevelTitleCode || '----' }}
      </td>
      <td class="text-ellipsis" nz-tooltip [nzTooltipTitle]="item?.contentUnitPathName">{{ item?.contentUnitPathName || '----' }}</td>
      <td class="text-ellipsis" nz-tooltip [nzTooltipTitle]="item?.contentTitleName">{{ item?.contentTitleName || '----' }}</td>
      <td class="text-ellipsis" nz-tooltip [nzTooltipTitle]="item?.contentPositionName">
        {{ item?.contentPositionName || '----' }}
      </td>
      <td class="text-ellipsis" nz-tooltip [nzTooltipTitle]="item?.contentTargetLevelTitleCode">
        {{ item?.contentTargetLevelTitleCode || '----' }}
      </td>
      <td class="text-ellipsis" nz-tooltip [nzTooltipTitle]="item?.formRotationType">
        {{ item?.formRotationType || '----' }}
      </td>
      <td class="text-ellipsis" nz-tooltip [nzTooltipTitle]="item?.semesterRankT2">
        {{ item?.semesterRankT2 || '----' }}
      </td>
      <td class="text-ellipsis" nz-tooltip [nzTooltipTitle]="item?.desiredMonthlyIncome">
        {{ item?.desiredMonthlyIncome | number:'1.0-2' || '----' }}
      </td>
      <td class="text-ellipsis" nz-tooltip [nzTooltipTitle]="item?.note">
        {{ item?.note || '----' }}
      </td>
    </tr>
  </tbody>
</nz-table>
<div class="pagination" *ngIf="dataTable && (dataTable.length >= 15 || params.page > 0)">
  <div class="pagination__table-info">
    <img alt="" class="pagination__table-info--icon" src="assets/images/icon/idea.svg" />
    <span class="pagination__table-info--text"
      >{{ paginationText }}</span
    >
  </div>
  <nz-pagination
    [nzPageIndex]="pageable.currentPage + 1"
    (nzPageIndexChange)="pageChange($event)"
    [nzPageSize]="pageable.size"
    [nzTotal]="pageable.totalElements"
    class="pagination__icon"
  >
  </nz-pagination>
</div>
